export default async function () {
  let app = p6({
    container: "app",
    viewport: [1000, 800],
    padding: {left: 70, right: 30, top: 50, bottom: 50},
  })
  app
    .data({url: '../p4/data/Nat2015result-200k.csv', nrows: 5000})
    .view({
      c1: { width: 600, height: 360, gridlines: {x: true, y: true}, padding: {left: 70, right: 30, top: 50, bottom: 50}},
      c2: { width: 360, height: 360, offset: [360, 0], gridlines: {x: true}},
    })

  app
    .analyze({
      clusters: {technique: 'KMeans', n_clusters: 4},
      PC: {
        technique: 'PCA',
        n_components: 2,
        includes: ['BabyWeight', 'MotherWeight', 'MotherHeight', 'MotherWgtGain'],
      }
    })
    .visualize({
      c1: { 
        mark: 'circle',
        y: 'PC0', x: 'PC1',
        size: 8, color: 'red',
        opacity: 0.5,
        // zero: true
      }
    })

  // app
  //   .aggregate({
  //     $group: 'MotherAge',
  //     $collect: { 
  //       avgBabyWeight: {$avg: 'BabyWeight'}, 
  //       maxBabyWeight: {$max: 'BabyWeight'},
  //       minBabyWeight: {$min: 'BabyWeight'} 
  //     },
  //   })
  //   .visualize([
  //     {
  //       id: 'c1', mark: 'spline',
  //       append: true,
  //       x: 'MotherAge', y: 'avgBabyWeight',
  //       color: 'red', opacity: 1,
  //     },
  //     {
  //       id: 'c1', mark: 'spline',
  //       append: true,
  //       x: 'MotherAge', y: 'minBabyWeight',
  //       color: 'red', opacity: 1,
  //     },
  //   ])
  //   .interact({
  //     event: 'click',
  //     from: 'c2',
  //     response: {
  //       c1: { unselected: {color: 'gray'} },
  //       c2: { unselected: {opacity: 0.25} }
  //     }
  //   })
  
  await app.execute()
  
  // app.analyses.clusters.n_clusters = 3
  app.vis.c1.color = 'clusters'

  // app.visualize({
  //   id: 'c1', mark: 'circle',
  //   y: 'BabyWeight', x: 'MotherAge',
  //   size: 8, color: 'red',
  //   append: true,
  //   opacity: 1,
  // }).execute()
}